package ac.essex.ooechs.imaging.commons.signal;

/**
 * <p/>
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version,
 * provided that any use properly credits the author.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details at http://www.gnu.org
 * </p>
 *
 * @author Olly Oechsle, University of Essex, Date: 15-Apr-2008
 * @version 1.0
 */
public class SignalFeature {

    public static final int PEAK = 1;
    public static final int TROUGH = 2;

    public int x;
    public double height;
    public int width;
    public int type;

    public SignalFeature(int type, int x, double value, int width) {
        this.type = type;
        this.x = x;
        this.height = value;
        this.width = width;
    }

}
