package ac.essex.ooechs.imaging.commons.util;

import javax.swing.*;
import java.awt.*;

/**
 * <p/>
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version,
 * provided that any use properly credits the author.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details at http://www.gnu.org
 * </p>
 *
 * @author Olly Oechsle, University of Essex, Date: 18-Oct-2006
 * @version 1.0
 */
public class ProgressDialog extends JFrame {

    JProgressBar progressBar;

    JLabel message;

    public ProgressDialog(String title, String messageText, int max) {

        super(title);

        progressBar = new JProgressBar(0, max);

        message = new JLabel(messageText);

        Container c = getContentPane();

        c.add(progressBar, BorderLayout.SOUTH);

        c.add(message, BorderLayout.CENTER);

        setSize(500, 75);

        setVisible(true);

    }

    public void setValue(int n) {
        progressBar.setValue(n);
    }

}
