package ac.essex.ooechs.imaging.commons.window.classifiers;

import ac.essex.gp.multiclass.PCM;
import ac.essex.gp.multiclass.ProgramClassificationMap;

/**
 * <p/>
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version,
 * provided that any use properly credits the author.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details at http://www.gnu.org
 * </p>
 *
 * @author Olly Oechsle, University of Essex, Date: 21-Mar-2008
 * @version 1.0
 */
public class PipelineClassifier extends WindowClassifier {

    PCM pcm = new ProgramClassificationMap(new int[]{0,1}, new double[]{128.89089965820312,-110.66665649414062});

    public double classify(double[] feature) {
        double node1 = feature[48] - feature[26];
        return pcm.getClassFromOutput(node1 + feature[4]);
    }

}
