package ac.essex.ooechs.imaging.commons.apps.training.strategies;

/**
 * Thrown by a cropping strategy object if the positioning of the nodes
 * does not permit a logical crop region to be created.
 *
 * @author Olly Oechsle, University of Essex, Date: 17-Oct-2006
 * @version 1.0
 */
public class StrategyException extends RuntimeException {

    public StrategyException(String message) {
        super(message);
    }

}
